Skip to main content
Document Operations

Add metadata value to document

<small>Requires an API token with the Document Manager role.</small>

POST
/documents/{document}/metadata-values

Adds a metadata field to a document and optionally sets its value.

Alternatively: if your use case involves setting values for multiple metadata fields, and you have all the new values available at once, the bulk update metadata values request is likely to be a better fit.

Value format

The content of the value parameter depends on the value_type of the metadata. The table below lists the available types and shows how values of each type should be sent.

Descriptive nameAPI typeExample valuesDescription
Emailemail"user@example.com"An email address.
Numbernumber1234.56A numeric value.
Currencycurrency"EUR;1234.56", "EUR;1234"A string containing a currency code and numeric value concatenated with a semicolon.
Currency over timecurrency_duration"EUR;1234.56;monthly", "EUR;123456;yearly"A string containing a currency code, numeric value and period (one of monthly or yearly) concatenated with a semicolon.
Selectselect"Blue"One of the values from the field's select_values list.
Multi-selectmulti_select["Red","Blue"]Array containing one or more values from the field's select_values list.
Datedate"2025-12-31"A date in the format "YYYY-MM-DD".
Yes / Nobooltrue, falseA boolean value.
Durationduration"P6D" (6 days), "P2W" (2 weeks), "PT12H" (12 hours)A string containing a duration specification.
Texttext"Vienna"Up to 4096 characters of text.
Multi-line texttextarea"Dublin"Up to 4096 characters of text.
Timestamptimestamp"2025-06-02T14:30:00+00:00"A date/time value.
Clauseclausetrue, falseIndicates presence of a particular clause in the document.
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

Body

application/json
metadata_uuidstring

UUID of the metadata to add a value for

Example: 7dae3dad-e56d-45e9-86e5-b69dc30597dc
valueany[] | boolean | string | null

The new value for the field

Example: EUR;95000;yearly

Response

application/json

MetadataValueResource

dataobjectrequired